{
  "name": "ruoyi-element-ai",
  "type": "module",
  "version": "0.0.0",
  "private": true,
  "description": "ruoyi-element-ai open-source PC AI template",
  "author": {
    "name": "HeJiaYue520",
    "email": "2834007710@qq.com",
    "url": "https://github.com/HeJiaYue520/HeJiaYue520"
  },
  "license": "MIT",
  "homepage": "https://github.com/element-plus-x/ruoyi-element-ai",
  "repository": {
    "type": "git",
    "url": "git@github.com:element-plus-x/ruoyi-element-ai.git"
  },
  "bugs": {
    "url": "https://github.com/element-plus-x/ruoyi-element-ai/issues"
  },
  "scripts": {
    "dev": "vite",
    "prod": "vite --mode production",
    "build": "vite build",
    "preview": "vite preview",
    "prepare": "husky",
    "lint": "eslint .",
    "lint:stylelint": "stylelint --cache --fix \"**/*.{vue,less,postcss,css,scss}\" --cache --cache-location node_modules/.cache/stylelint/",
    "fix": "eslint . --fix"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@fingerprintjs/fingerprintjs": "^3.4.2",
    "@floating-ui/core": "^1.7.2",
    "@floating-ui/dom": "^1.7.2",
    "@floating-ui/vue": "^1.1.7",
    "@jsonlee_12138/enum": "^1.0.4",
    "@shikijs/transformers": "^3.7.0",
    "@vueuse/core": "^13.5.0",
    "@vueuse/integrations": "^13.5.0",
    "chatarea": "^6.0.3",
    "date-fns": "^2.30.0",
    "deepmerge": "^4.3.1",
    "dompurify": "^3.2.6",
    "driver.js": "^1.3.6",
    "echarts": "^6.0.0",
    "element-plus": "^2.10.4",
    "fingerprintjs": "^0.5.3",
    "github-markdown-css": "^5.8.1",
    "highlight.js": "^11.11.1",
    "hook-fetch": "^2.0.4-beta.1",
    "lodash": "^4.17.21",
    "lodash-es": "^4.17.21",
    "mammoth": "^1.11.0",
    "marked": "^17.0.1",
    "mermaid": "11.12.0",
    "nprogress": "^0.2.0",
    "pdfjs-dist": "^5.4.449",
    "pinia": "^3.0.3",
    "pinia-plugin-persistedstate": "^4.4.1",
    "prismjs": "^1.30.0",
    "property-information": "^7.1.0",
    "qrcode": "^1.5.4",
    "radash": "^12.1.1",
    "rehype-katex": "^7.0.1",
    "rehype-raw": "^7.0.0",
    "rehype-sanitize": "^6.0.0",
    "remark-breaks": "^4.0.0",
    "remark-gfm": "^4.0.1",
    "remark-math": "^6.0.0",
    "remark-parse": "^11.0.0",
    "remark-rehype": "^11.1.2",
    "reset-css": "^5.0.2",
    "shiki": "^3.7.0",
    "ts-md5": "^2.0.1",
    "unified": "^11.0.5",
    "unist-util-visit": "^5.0.0",
    "vue": "^3.5.17",
    "vue-element-plus-x": "1.3.7",
    "vue-router": "4",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@antfu/eslint-config": "^4.16.2",
    "@changesets/cli": "^2.29.5",
    "@chromatic-com/storybook": "^3.2.7",
    "@commitlint/config-conventional": "^19.8.1",
    "@jsonlee_12138/markdown-it-mermaid": "0.0.6",
    "@storybook/addon-essentials": "^8.6.14",
    "@storybook/addon-onboarding": "^8.6.14",
    "@storybook/addons": "^7.6.17",
    "@storybook/api": "^7.6.17",
    "@storybook/blocks": "^8.6.14",
    "@storybook/experimental-addon-test": "^8.6.14",
    "@storybook/manager-api": "^8.6.14",
    "@storybook/test": "^8.6.14",
    "@storybook/theming": "^8.6.14",
    "@storybook/vue3": "^8.6.14",
    "@storybook/vue3-vite": "^8.6.14",
    "@types/dom-speech-recognition": "^0.0.4",
    "@types/fingerprintjs__fingerprintjs": "^3.0.2",
    "@types/fs-extra": "^11.0.4",
    "@types/markdown-it": "^14.1.2",
    "@types/prismjs": "^1.26.5",
    "@vitejs/plugin-vue": "^6.0.0",
    "@vitest/browser": "^3.2.4",
    "@vitest/coverage-v8": "^3.2.4",
    "@vue/tsconfig": "^0.7.0",
    "commitlint": "^19.8.1",
    "cz-git": "^1.12.0",
    "eslint": "^9.31.0",
    "esno": "^4.8.0",
    "fast-glob": "^3.3.3",
    "husky": "^9.1.7",
    "lint-staged": "^16.1.2",
    "playwright": "^1.53.2",
    "postcss": "8.4.31",
    "postcss-html": "1.5.0",
    "prettier": "^3.6.2",
    "rimraf": "^6.0.1",
    "rollup-plugin-visualizer": "^6.0.3",
    "sass": "^1.89.2",
    "sass-embedded": "^1.89.2",
    "storybook": "^8.6.14",
    "storybook-dark-mode": "^4.0.2",
    "stylelint": "^16.21.1",
    "stylelint-config-html": "^1.1.0",
    "stylelint-config-recess-order": "^7.1.0",
    "stylelint-config-recommended-scss": "^15.0.1",
    "stylelint-config-recommended-vue": "^1.6.1",
    "stylelint-config-standard": "^38.0.0",
    "stylelint-config-standard-scss": "^15.0.1",
    "terser": "^5.43.1",
    "typescript": "~5.8.3",
    "typescript-api-pro": "^0.0.7",
    "unocss": "66.3.3",
    "unplugin-auto-import": "^19.3.0",
    "unplugin-vue-components": "^28.8.0",
    "vite": "^6.3.5",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-dts": "^4.5.4",
    "vite-plugin-env-typed": "^0.0.2",
    "vite-plugin-lib-inject-css": "^2.2.2",
    "vite-plugin-svg-icons": "^2.0.1",
    "vitest": "^3.2.4",
    "vue-tsc": "^3.0.1"
  },
  "config": {
    "commitizen": {
      "path": "node_modules/cz-git"
    }
  }
}
